package iTunesBackup;

import java.io.File;
import java.util.*;

import javax.swing.filechooser.FileFilter;
/**
 * Tune Backup
 * (c) 2007 Gabe Albert
 * Gabe Albert - gabeosx (at) yahoo.com - www.gabealbert.info
 * The use and distribution of this work is subject to the terms of the 
 * GNU GPL license.  A full-text copy of the license is available online at
 * http://www.gnu.org/licenses/gpl.txt
 * @author Gabe Albert
 */
public class ChooserFileFilter extends FileFilter {
	private HashMap<String, Boolean> ignoreFilters = new HashMap();
	@Override
	public boolean accept(File arg0) {
		if(ignoreFilters.get(getExtension(arg0.getName()))==null)
			return false;
		else
			return true;
	}

	@Override
	public String getDescription() {
		return null;
	}
	
	/**
	 * 
	 * @param dotExtension If the file is file.jpg, pass "jpg"
	 */
	public void addFilter(String dotExtension) {
		ignoreFilters.put(dotExtension, false);
	}
	
	public String getExtension(String fileName) {
		return fileName.substring(fileName.indexOf(".")+1);
	}
	
	public ChooserFileFilter(String dotExtension) {
		addFilter(dotExtension);
	}
}
