/*
 * Main.java
 *
 * Created on September 10, 2006, 3:58 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package iTunesBackup;
/**
 * Tune Backup
 * (c) 2007 Gabe Albert
 * Gabe Albert - gabeosx (at) yahoo.com - www.gabealbert.info
 * The use and distribution of this work is subject to the terms of the 
 * GNU GPL license.  A full-text copy of the license is available online at
 * http://www.gnu.org/licenses/gpl.txt
 * @author Gabe Albert
 */
import java.io.*;
import org.xml.sax.InputSource;
import java.util.*;

/**
 *
 * @author gabe
 */
public class SAXTest {
	
	public HashMap<String, PropertyHandler> handlerCollection = new HashMap();
	
	public void populateElementCollection() {
		handlerCollection.put("Track ID",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackId(theKey);
			}
		}
		);
		handlerCollection.put("Name",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackName(theKey);
			}
		}
		);
		handlerCollection.put("Artist",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackArtist(theKey);
			}
		}
		);
		handlerCollection.put("Album",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackAlbum(theKey);
			}
		}
		);
		handlerCollection.put("Composer",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackComposer(theKey);
			}
		}
		);
		handlerCollection.put("Genre",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackGenre(theKey);
			}
		}
		);
		handlerCollection.put("Kind",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackGenre(theKey);
			}
		}
		);
		handlerCollection.put("Size",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackSize(theKey);
			}
		}
		);
		handlerCollection.put("Total Time",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackTotalTime(theKey);
			}
		}
		);
		handlerCollection.put("Disc Number",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackDiscNumber(theKey);
			}
		}
		);
		handlerCollection.put("Disc Count",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackDiscCount(theKey);
			}
		}
		);
		handlerCollection.put("Year",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackYear(theKey);
			}
		}
		);
		handlerCollection.put("Date Modified",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackDateModified(theKey);
			}
		}
		);
		handlerCollection.put("Date Added",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackDateAdded(theKey);
			}
		}
		);
		handlerCollection.put("Bit Rate",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackBitRate(theKey);
			}
		}
		);
		handlerCollection.put("Sample Rate",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackSampleRate(theKey);
			}
		}
		);
		handlerCollection.put("Persistent ID",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackPersistentId(theKey);
			}
		}
		);
		handlerCollection.put("Track Type",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackTrackType(theKey);
			}
		}
		);
		handlerCollection.put("File Type",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackFileType(theKey);
			}
		}
		);
		handlerCollection.put("File Creator",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackFileCreator(theKey);
			}
		}
		);
		handlerCollection.put("Location",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackLocation(theKey);
			}
		}
		);
		handlerCollection.put("File Folder Count",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackFileFolderCount(theKey);
			}
		}
		);
		handlerCollection.put("Library Folder Count",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackLibraryFolderCount(theKey);
			}
		}
		);
		handlerCollection.put("Play Count",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackPlayCount(theKey);
			}
		}
		);
		handlerCollection.put("Rating",
				new PropertyHandler() {
			public void execute(MusicTrack tempTrack, String theKey) {
				tempTrack.setTrackRating(theKey);
			}
		}
		);
		
	}
    /** Creates a new instance of Main */
    public SAXTest() {
        /*TrackCollection theTracks = new TrackCollection();
        this.populateElementCollection();
        try {
            PropertyListHandlerImpl plh = new PropertyListHandlerImpl(theTracks, handlerCollection);
            PropertyListParser plist = new PropertyListParser(plh, null);
            plist.parse(new InputSource(new FileInputStream("/Users/gabe/Music/iTunes/iTunes Music Library.xml")));
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
        System.out.println("theTracks.size(): "+theTracks.size());
        int tcount=0;
        
        for(int i=0; i<theTracks.size(); i++) {
        	if(theTracks.get(i).getTrackId()!=null && theTracks.get(i).getTrackId()!="") {
        		tcount++;
        	}
        }
        
        System.out.println("Clean: "+tcount);*/
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        SAXTest mainn = new SAXTest();
    }
    
}
